package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "TaskDetails",
   propOrder = {"diServiceInfo", "folderName", "workflowName", "workflowRunId", "workflowRunInstanceName", "taskRunStatus", "taskType", "runErrorCode", "runErrorMessage", "startTime", "endTime", "workletInstanceName", "attribute", "childRunId", "instanceName", "isSessionTask", "workletRunId"}
)
public class TaskDetails {
   @XmlElement(
      name = "DIServiceInfo",
      required = true,
      nillable = true
   )
   protected DIServiceInfo diServiceInfo;
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "WorkflowRunId"
   )
   protected int workflowRunId;
   @XmlElement(
      name = "WorkflowRunInstanceName",
      required = true,
      nillable = true
   )
   protected String workflowRunInstanceName;
   @XmlElement(
      name = "TaskRunStatus",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected ETaskRunStatus taskRunStatus;
   @XmlElement(
      name = "TaskType",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected ETaskType taskType;
   @XmlElement(
      name = "RunErrorCode"
   )
   protected int runErrorCode;
   @XmlElement(
      name = "RunErrorMessage",
      required = true,
      nillable = true
   )
   protected String runErrorMessage;
   @XmlElement(
      name = "StartTime",
      required = true,
      nillable = true
   )
   protected DIServerDate startTime;
   @XmlElement(
      name = "EndTime",
      required = true,
      nillable = true
   )
   protected DIServerDate endTime;
   @XmlElement(
      name = "WorkletInstanceName",
      required = true,
      nillable = true
   )
   protected String workletInstanceName;
   @XmlElement(
      name = "Attribute"
   )
   protected List<Attribute> attribute;
   @XmlElement(
      name = "ChildRunId"
   )
   protected int childRunId;
   @XmlElement(
      name = "InstanceName",
      required = true,
      nillable = true
   )
   protected String instanceName;
   @XmlElement(
      name = "IsSessionTask"
   )
   protected boolean isSessionTask;
   @XmlElement(
      name = "WorkletRunId"
   )
   protected int workletRunId;

   public DIServiceInfo getDIServiceInfo() {
      return this.diServiceInfo;
   }

   public void setDIServiceInfo(DIServiceInfo value) {
      this.diServiceInfo = value;
   }

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public int getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(int value) {
      this.workflowRunId = value;
   }

   public String getWorkflowRunInstanceName() {
      return this.workflowRunInstanceName;
   }

   public void setWorkflowRunInstanceName(String value) {
      this.workflowRunInstanceName = value;
   }

   public ETaskRunStatus getTaskRunStatus() {
      return this.taskRunStatus;
   }

   public void setTaskRunStatus(ETaskRunStatus value) {
      this.taskRunStatus = value;
   }

   public ETaskType getTaskType() {
      return this.taskType;
   }

   public void setTaskType(ETaskType value) {
      this.taskType = value;
   }

   public int getRunErrorCode() {
      return this.runErrorCode;
   }

   public void setRunErrorCode(int value) {
      this.runErrorCode = value;
   }

   public String getRunErrorMessage() {
      return this.runErrorMessage;
   }

   public void setRunErrorMessage(String value) {
      this.runErrorMessage = value;
   }

   public DIServerDate getStartTime() {
      return this.startTime;
   }

   public void setStartTime(DIServerDate value) {
      this.startTime = value;
   }

   public DIServerDate getEndTime() {
      return this.endTime;
   }

   public void setEndTime(DIServerDate value) {
      this.endTime = value;
   }

   public String getWorkletInstanceName() {
      return this.workletInstanceName;
   }

   public void setWorkletInstanceName(String value) {
      this.workletInstanceName = value;
   }

   public List<Attribute> getAttribute() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }

   public int getChildRunId() {
      return this.childRunId;
   }

   public void setChildRunId(int value) {
      this.childRunId = value;
   }

   public String getInstanceName() {
      return this.instanceName;
   }

   public void setInstanceName(String value) {
      this.instanceName = value;
   }

   public boolean isIsSessionTask() {
      return this.isSessionTask;
   }

   public void setIsSessionTask(boolean value) {
      this.isSessionTask = value;
   }

   public int getWorkletRunId() {
      return this.workletRunId;
   }

   public void setWorkletRunId(int value) {
      this.workletRunId = value;
   }
}
